package com.mvc.recognition.noconfig;

import com.mvc.entity.TAiTargetbox;
import java.util.ArrayList;

public class NoConfigOutModel {
    private String outImagePath;//存放结果图片的绝对路径
    private Double aiValue; //本次服务器AI识别结果
    private Integer serverRotateAngle;//本次服务器识别到的旋转角度，IMPOSSIBLE_LEAN_ANGLE = 888 代表不可能的值，也就是代表没有检测到
    private Integer[] serverNumberRegion;//本次服务器识别得到的数字区域坐标，4个值，[xmin,ymin,xmax,ymax]
    private Integer serverAiValueIsOk;//本次服务器AI识别结果是否可靠；1、2、7、8代表可靠，3、4、5、6、91、92等代表不可靠
    private Integer[][] debugInfo;//AI调试信息，值域是 0-255
    private String smallJPEGPath;//存放结果 水利所JPG小图 的绝对路径
    private ArrayList<TAiTargetbox> finalList;//最终的数字目标列表
    private Integer imageQuality;//图像质量，0=水表照片清晰，1=水表照片不清晰，2=非水表照片
    private Integer numNumbers;//水表数字个数,值域=[1-10]
    private Double numberUnit;//水表最后一个数字单位,值域={0.0001，0.001，0.01，0.1，1，10，100，1000，10000}
    private Double max_flow_per_hour;//水表每小时的最大流量
    private Integer num_run_CNN;//本次识别运行模型的次数

    private Integer meterType; //水表类型，0=数字+指针水表，1、全指针水表，2、数字水表/机械字轮表，3=液晶表，4=数码管表，5=其他图像

    public String getOutImagePath() {
        return outImagePath;
    }

    public void setOutImagePath(String outImagePath) {
        this.outImagePath = outImagePath;
    }

    public Double getAiValue() {
        return aiValue;
    }

    public void setAiValue(Double aiValue) {
        this.aiValue = aiValue;
    }

    public Integer getServerRotateAngle() {
        return serverRotateAngle;
    }

    public void setServerRotateAngle(Integer serverRotateAngle) {
        this.serverRotateAngle = serverRotateAngle;
    }

    public Integer[] getServerNumberRegion() {
        return serverNumberRegion;
    }

    public void setServerNumberRegion(Integer[] serverNumberRegion) {
        this.serverNumberRegion = serverNumberRegion;
    }

    public Integer getServerAiValueIsOk() {
        return serverAiValueIsOk;
    }

    public void setServerAiValueIsOk(Integer serverAiValueIsOk) {
        this.serverAiValueIsOk = serverAiValueIsOk;
    }

    public Integer[][] getDebugInfo() {
        return debugInfo;
    }

    public void setDebugInfo(Integer[][] debugInfo) {
        this.debugInfo = debugInfo;
    }

    public String getSmallJPEGPath() {
        return smallJPEGPath;
    }

    public void setSmallJPEGPath(String smallJPEGPath) {
        this.smallJPEGPath = smallJPEGPath;
    }

    public ArrayList<TAiTargetbox> getFinalList() {
        return finalList;
    }

    public void setFinalList(ArrayList<TAiTargetbox> finalList) {
        this.finalList = finalList;
    }

    public Integer getImageQuality() {
        return imageQuality;
    }

    public void setImageQuality(Integer imageQuality) {
        this.imageQuality = imageQuality;
    }

    public Integer getNumNumbers() {
        return numNumbers;
    }

    public void setNumNumbers(Integer numNumbers) {
        this.numNumbers = numNumbers;
    }

    public Double getNumberUnit() {
        return numberUnit;
    }

    public void setNumberUnit(Double numberUnit) {
        this.numberUnit = numberUnit;
    }

    public Double getMax_flow_per_hour() {
        return max_flow_per_hour;
    }

    public void setMax_flow_per_hour(Double max_flow_per_hour) {
        this.max_flow_per_hour = max_flow_per_hour;
    }

    public Integer getNum_run_CNN() {
        return num_run_CNN;
    }

    public void setNum_run_CNN(Integer num_run_CNN) {
        this.num_run_CNN = num_run_CNN;
    }

    public Integer getMeterType() {
        return meterType;
    }

    public void setMeterType(Integer meterType) {
        this.meterType = meterType;
    }
}
